LFR-FSW - Bug #174

PA_RPW_PA_RPW_RCV_VALUE invalide dans TM_LFR_TC_EXE_INCONSISTENT suite a
TC_LFR_LOAD_NORMAL_PAR

19/06/2014 07:57 AM - Veronique bouzid

Status: Closed Start date: 19/06/2014
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Suite a la mdécision de ne pas autoriser le changement de valeur de SY_LFR_N_SWF_L, j ai fait un essai
avec SY_LFR_N_SWF_L = 1024

08:21:10.030625, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET _TYPE: TC_PACKET = 1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET _CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=12841, (PACKET _SEQUENCE_CONTROL=0xf229), PACKET LENGTH=15,
CCSDS_SECONDARY_HEADER FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=1, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS 1 = 13, SOURCE_ID: MISSION_TIMELINE
=110, SY_LFR_N_SWF L = 1024, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 3600(s), SY_LFR_N_BP_PO0 = 4(s),
SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = 0x5580

La réponse est correcte excepté le champ PA_RPW_RCV_VALUE

08:21:10.03326, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY: ACKNOWLEDGE
=1, (PACKET _ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=2,
(PACKET_SEQUENCE_CONTROL=0xc002), PACKET LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x80000003ae79, PA_RPW_TC_FAILURE_CODE: WRONG_APP_DATA =
5, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc, PA_ RPW_PKT_SEQ _CONTROL=0xf229, PA_RPW_TC_SERVICE=181,
PA_RPW TC_SUBTYPE=13, PA_ RPW_BYTE_POSITION=10, PA_RPW_RCV_VALUE=16

1024 = 0400 (hexa)

Valeur répartie dans 2 octets

octet 10 = 04

octet 11 = 00

Donc on devrait obtenir
PA_RPW_BYTE_POSITION=10, --> ¢ est OK
PA_RPW_RCV_VALUE=04

Je mets ici les traces des fichiers .csv qui permettent de verifier les octets constituants les TC/TM

la TC_LFR_LOAD_NORMAL_PAR

08:21:10.030625, 254, 2, 0, 0, 28, 204, 242, 41, 0, 15, 25, 181, 13,110, 4, 0, 1, 44, 14, 16, 4, 20, 0, 0, 85, 128

la reponse TM_LFR_TC_EXE_INCONSISTENT

08:21:10.03326, 1,2, 0,0, 12,193,192, 2,0, 19, 16, 1, 8, 110, 128, 0, 0, 3, 174, 121, 0, 5, 28, 204, 242, 41, 181, 13, 10, 16

Contexte:

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-lfr_0.1.23

Brique Star-Dundee S/N <illisible>.

Soft:1.0.0.11 (variante sur carte finale)

TEST CASE = SVS-0073
Req = SSS-CP-FS-431
History

#1 - 19/06/2014 08:44 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

fsw >=1.0.0.12
bug identifié et corrigé pour SY_LFR_N_SWF_L

/\ le méme bug est identifié et corrigé pour SY_LFR_N_SWF_P

#2 - 19/06/2014 12:07 PM - Veronique bouzid

- Status changed from New to Feedback

#3 - 19/06/2014 01:15 PM - Veronique bouzid

- Status changed from Feedback to Resolved

#4 - 23/06/2014 05:22 PM - Veronique bouzid

tests rejoués sur 1.0.0.12

Ce n'est tjs pas bon,

Pour SY_LFR_N_SWF_L

1- test SVS-0073 ( loadNorm.py)

16:46:50.526165, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=2671, (PACKET_SEQUENCE_CONTROL=0xca6f), PACKET_LENGTH=15, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS_1 =13,
SOURCE_ID: MISSION_TIMELINE = 110, SY_LFR_N_SWF_L = 1024, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 3600(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = 0xb987

16:46:50.589206, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE = 1,
(PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=2,
(PACKET_SEQUENCE_CONTROL=0xc002), PACKET_LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8, DESTINATION_ID:
MISSION_TIMELINE = 110, TIME=0x800000038e21, PA_RPW_TC_FAILURE_CODE: WRONG_APP_DATA =5,
PA_RPW_TELECOMMAND_PKT_ID=0x1ccc, PA_RPW_PKT_SEQ_CONTROL=0xca6f, PA_RPW_TC_SERVICE=181,
PA_RPW_TC_SUBTYPE=13, PA_RPW_BYTE_POSITION=10, PA_RPW_RCV_VALUE=0

On devrait avoir

1024 = 0400 (hexa)

Valeur répartie dans 2 octets
octet 10 = 04

octet 11 =00

Donc on devrait obtenir
PA_RPW_BYTE_POSITION=10,
PA_RPW_RCV_VALUE=04

Par contre ce qui est affiché en ASCII correspond bien au TM.csv

16:46:50.526165, 254, 2, 0, 0, 28, 204, 202, 111, 0, 15, 25, 181, 13, 110, 4,0, 1, 44, 14, 16, 4, 20, 0, 0, 185, 135

16:46:50.589206, 1, 2, 0, 0, 12, 193, 192, 2, 0, 19, 16, 1, 8, 110, 128, 0, 0, 3, 142, 33, 0, 5, 28, 204, 202, 111, 181, 13,10, 0 ici TM.csv
Comment peut on avoir 0 2???

Pour SY_LFR_N_SWP_P

2- tests SVS-0065 (step3 = send_bad_tc_dump_all_modes.py)

--> rejoue le step

#5 - 24/06/2014 03:10 PM - Veronique bouzid

- Status changed from Resolved to Closed

test rejoué en 1.0.0.12 sur I'EM.

Dans I'ICD, dans une TM_LFR_TC_EXE_INCONSISTENT, e champ PA_RPW_RCV_VALUE correspond au LSB donc je me sui trompée dans

I'analyse du parametre,
1024 = 0400 (hexa)
Valeur répartie dans 2 octets
octet 10 = 04

octet 11 =00

Donc on devrait obtenir
PA_RPW_BYTE_POSITION=10,
PA_RPW_RCV_VALUE=00

Le code de Paul est donc correct.
La bonne valeur pour tester SY_LFR_N_SWF_L et SY_LFR_N_SWF_P est de mettre
SY_LFR_N_SWF L =128

14:16:31.471235, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TC_PACKET =1,

DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=14540, (PACKET_SEQUENCE_CONTROL=0x{8cc), PACKET LENGTH=15, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS 1 = 13,
SOURCE_ID: MISSION_TIMELINE = 110, SY_LFR_N_SWF _L = 128, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 3600(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = Oxa14f

14:16:31.492206, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY: ACKNOWLEDGE = 1,
(PACKET _ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=58,
(PACKET_SEQUENCE_CONTROL=0xc03a), PACKET LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8, DESTINATION_ID:
MISSION_TIMELINE = 110, TIME=0x800001017b50, PA_RPW_TC_FAILURE_CODE: WRONG_APP_DATA = 5,
PA_RPW_TELECOMMAND_PKT ID=0x1ccc, PA_ RPW_PKT SEQ_CONTROL=0xf8cc, PA_RPW _TC_SERVICE=181,
PA_RPW_TC_SUBTYPE=13, PA_ RPW BYTE POSITION=10, PA_RPW_RCV_VALUE=128

SY_LFR_N_SWF_P =10 (s)

14:16:28.265712, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TC_PACKET =1,

DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=8655, (PACKET SEQUENCE_CONTROL=0xe1cf), PACKET LENGTH=15, CCSDS_SECONDARY HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS 1 = 13,
SOURCE_ID: MISSION_TIMELINE = 110, SY_LFR_N_SWF_L = 2048, /NSY_LFR_N_SWP_P = 10(s), SY_LFR_N_ASM P = 3600(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = 0x1e31

14:16:28.292219, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY: ACKNOWLEDGE = 1,
(PACKET _ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=54,

(PACKET _SEQUENCE_CONTROL=0xc036), PACKET LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8, DESTINATION_ID:
MISSION_TIMELINE = 110, TIME=0x800000fe46b7, PA_RPW_TC_FAILURE_CODE: WRONG_APP_DATA =5,
PA_RPW_TELECOMMAND_PKT ID=0Ox1ccc, PA_ RPW _PKT SEQ CONTROL=Oxeicf, PA_ RPW TC SERVICE=181,
PA_RPW_TC_SUBTYPE=13, PA_RPW_BYTE_POSITION=12, PA_RPW_RCV_VALUE=10

Le test SVS-0073/change_inconsist.py permet rapidement de vérifier de mauvais parametrages en normal mode.

De meme le test SVS-0065 qui traite tous les parametres des TC_LFR_LOAD_* PAR.
